# XmppManagerAttributes class

## Constructors

XmppManagerAttributes ({required Future <XMLNode?> sendStanza(StanzaDetails), required void sendNonza(XMLNode), required T? getManagerById(String), required void sendEvent(XmppEvent), required ConnectionSettings getConnectionSettings(), required JID getFullJID(), required BaseSocketWrapper getSocket(), required XmppConnection getConnection(), required T? getNegotiatorById(String)})

## Properties

getConnection → XmppConnection Function()
  Return the XmppConnection the manager is registered against.
  final
getConnectionSettings → ConnectionSettings Function()
  Get the connection settings of the attached connection.
  final
getFullJID → JID Function()
  Returns the full JID of the current account
  final
getManagerById → T? Function<T extends XmppManagerBase>(String)
  (Maybe) Get a Manager attached to the connection by its Id.
  final
getNegotiatorById → T? Function<T extends XmppFeatureNegotiatorBase>(String)
  final
getSocket → BaseSocketWrapper Function()
  Returns the current socket. MUST NOT be used to send data.
  final
hashCode → int
  The hash code for this object.
  no setterinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
sendEvent → void Function(XmppEvent)
  Send an event to the connection's event channel.
  final
sendNonza → void Function(XMLNode)
  Send a nonza.
  final
sendStanza → Future <XMLNode?> Function(StanzaDetails)
  Send a stanza whose response can be awaited.
  final

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited